# RK3528 Release Note

## rk3528_ddr_1056MHz_{2L_PCB,4BIT_PCB_}v1.05.bin

| Date       | File                                           | Build commit | Severity  |
| ---------- | ---------------------------------------------- | ------------ | --------- |
| 2023-04-14 | rk3528_ddr_1056MHz_{2L_PCB,4BIT_PCB_}v1.05.bin | 2eef4a672d   | important |

### New

1. Add new ddrbin  for 4BIT PCB configurations.
2. Add the configuration of LP3 CA skew.

### Fixed

| Index | Severity  | Update                                                       | Issue description                                            | Issue source |
| ----- | --------- | ------------------------------------------------------------ | ------------------------------------------------------------ | ------------ |
| 1     | important | Fix the phase problem of DDR3 RAS in 2T mode.                | Abnormal RAS phase in DDR3 2T mode.                          | -            |
| 2     | important | Fixed the abnormal ODT output problem in LP3 training under multi-rank. | The ODT output is abnormal when LP3 does cs1 write training under multi-rank. | -            |

------

## rk3528_bl32_v1.02.bin

| Date       | File                  | Build commit | Severity  |
| ---------- | :-------------------- | ------------ | --------- |
| 2023-04-12 | rk3528_bl32_v1.02.bin | c73fd5531    | important |

### New

1. Added crypto/trng/keylad module support.

------

## rk3528_bl31_v1.13.elf

| Date       | File                  | Build commit | Severity  |
| ---------- | :-------------------- | ------------ | --------- |
| 2023-04-12 | rk3528_bl31_v1.13.elf | 642369d9b    | important |

### New

1. Modify pvtpll table for cpu and gpu.

------

## rk3528_spl_v1.04.bin

| Date       | File                 | Build commit | Severity  |
| ---------- | :----------------- - | ------------ | --------- |
| 2023-04-11 | rk3528_spl_v1.04.bin | 0fbedd06     | important |

### Fixed

| Index | Severity  | Update                             | Issue description   | Issue source |
| ----- | --------- | ---------------------------------- | ------------------- | ------------ |
| 1     | important | Fix matrix 339M freq set/get error | EMMC transfer error | -            |

------

## rk3528_usbplug_v1.03.bin

| Date       | File                  | Build commit | Severity  |
| ---------- | :----------------------- | ---------- | -------- |
| 2023-04-08 | rk3528_usbplug_v1.03.bin | dbdfea79b  | important |

### Fixed

| Index | Severity  | Update                 | Issue description                  | Issue source |
| ----- | --------- | ---------------------- | ------------------------ | ------------ |
| 1     | important | Fix sometime emmc upgrade fail.        | Emmc upgrade fail sometime.     | -            |

------

## rk3528_bl32_v1.01.bin

| Date       | File                  | Build commit | Severity |
| ---------- | :-------------------- | ------------ | -------- |
| 2023-04-03 | rk3528_bl32_v1.01.bin | c5251becc    | moderate |

### New

1. Add some internal TA interface.

------

## rk3528_bl31_v1.12.elf

| Date       | File                  | Build commit | Severity  |
| ---------- | :-------------------- | ------------ | --------- |
| 2023-03-16 | rk3528_bl31_v1.12.elf | 70c5c8d9c    | important |

### New

1. Improve trng performance.

------

## rk3528_ddr_1056MHz_{2L_PCB_}v1.04.bin

| Date       | File                                  | Build commit | Severity  |
| ---------- | ------------------------------------- | ------------ | --------- |
| 2023-03-15 | rk3528_ddr_1056MHz_{2L_PCB_}v1.04.bin | dce46ffe73   | important |

### New

1. Add new OTP configurations support.

------

## rk3528_bl31_v1.11.elf

| Date       | File                  | Build commit | Severity  |
| ---------- | :-------------------- | ------------ | --------- |
| 2023-03-09 | rk3528_bl31_v1.11.elf | 389e6e47     | important |

### New

1. Modify the ddr configuration flow during system suspend.

------

## rk3528_ddr_1056MHz_{2L_PCB_}v1.03.bin

| Date       | File                                  | Build commit | Severity  |
| ---------- | ------------------------------------- | ------------ | --------- |
| 2023-03-09 | rk3528_ddr_1056MHz_{2L_PCB_}v1.03.bin | f0be8490c4   | important |

### New

1. Add support for chips with different OTP configurations.

### Fixed

| Index | Severity  | Update                                                | Issue description                                            | Issue source |
| ----- | --------- | ----------------------------------------------------- | ------------------------------------------------------------ | ------------ |
| 1     | important | Fixed LP3 x16 capacity error problem.                 | The ddr capacity anomalies occur when the phy at lp3 x16 mode. | -            |
| 2     | important | Fixed DDR unstabled when in low frequency(<=400Mhz) . | The kernel will panic when DDR run in low frequency(<=400Mhz). | -            |

------

## rk3528_ddr_1056MHz_{2L_PCB_}v1.02.bin

| Date       | File                                  | Build commit | Severity  |
| ---------- | ------------------------------------- | ------------ | --------- |
| 2023-02-15 | rk3528_ddr_1056MHz_{2L_PCB_}v1.02.bin | 60403d388d   | important |

### New

1. Support config derate refresh, per-bank refresh.
2. Support AXI split.
3. Enable LP4, LP4X read/write DBI function.

### Fixed

| Index | Severity  | Update                                             | Issue description                              | Issue source |
| ----- | --------- | -------------------------------------------------- | ---------------------------------------------- | ------------ |
| 1     | important | Fixed 2L PCB unstabled when DDR in high frequency. | The DDR run in 1056MHz will case system panic. | -            |

------

## rk3528_bl31_v1.10.elf

| Date       | File                  | Build commit | Severity  |
| ---------- | :-------------------- | ------------ | --------- |
| 2023-02-15 | rk3528_bl31_v1.10.elf | d74b03e10    | important |

### New

1. Add trng scmi clk support.

------

## rk3528_bl31_v1.09.elf

| Date       | File                  | Build commit | Severity  |
| ---------- | :-------------------- | ------------ | --------- |
| 2023-02-03 | rk3528_bl31_v1.09.elf | 16574c7f3    | important |

### New

1. Support all gpio wakeup.
2. Improve the stability of fiq-debugger.

------

## rk3528_bl31_v1.08.elf

| Date       | File                  | Build commit | Severity  |
| ---------- | :-------------------- | ------------ | --------- |
| 2023-01-10 | rk3528_bl31_v1.08.elf | 082486b74    | important |

### New

1. Support crypto/crypto_s/klad clock.

------

## rk3528_bl31_v1.07.elf

| Date       | File                  | Build commit | Severity  |
| ---------- | :-------------------- | ------------ | --------- |
| 2022-12-26 | rk3528_bl31_v1.07.elf | da191fda0    | important |

### New

1. Support poweroff VDD_LOGIC when system suspend.
2. Hptimer use soft adjust mode.
3. Enable PLAT_RK_OPTEED_SYS_CTRL.

------

## rk3528_spl_v1.03.bin

| Date       | File                 | Build commit | Severity |
| ---------- | :------------------- | ----------- | -------- |
| 2022-12-14 | rk3528_spl_v1.03.bin | f09ed5ff4f  | important|

### Fixed

| Index | Severity  | Update                 | Issue description                  | Issue source |
| ----- | --------- | ---------------------- | ---------------------------------- | ------------ |
| 1     | important | Support HS400ES        | fix HS400 compatibility issues     | -            |
| 2     | important | config EMMC DS to 1.5X | fix some EMMC compatibility issues | -            |

------

## rk3528_bl31_v1.06.elf

| Date       | File                  | Build commit | Severity  |
| ---------- | :-------------------- | ------------ | --------- |
| 2022-12-08 | rk3528_bl31_v1.06.elf | 61102ec13    | important |

### New

1. Support USB wakeup.

------

## rk3528_spl_v1.02.bin

| Date       | File                 | Build commit | Severity  |
| ---------- | :------------------- | ------------ | --------- |
| 2022-12-02 | rk3528_spl_v1.02.bin | eee09e1f72   | important |

### Fixed

| Index | Severity  | Update                    | Issue description                                            | Issue source |
| ----- | --------- | ------------------------- | ------------------------------------------------------------ | ------------ |
| 1     | important | Fix matrix clk rate error | clk_200m：396000 KHz、clk_300m：594000 KHz、clk_339m：264000 KHz. It may influence storage module. | -            |

------

## rk3528_bl31_v1.05.elf

| Date       | File                  | Build commit | Severity |
| ---------- | :-------------------- | ------------ | -------- |
| 2022-12-01 | rk3528_bl31_v1.05.elf | b10341386    | moderate |

### New

1. Add TSP clock support.

------

## rk3528_bl31_v1.04.elf

| Date       | File                  | Build commit | Severity  |
| ---------- | :-------------------- | ------------ | --------- |
| 2022-11-30 | rk3528_bl31_v1.04.elf | 63ba7e8e1    | important |

### New

1. Support HDMI wakeup.

------

## rk3528_{ddr,spl,usbplug}_v1.x.bin

| Date       | File                              | Build commit                                | Severity  |
| ---------- | :-------------------------------- | ------------------------------------------- | --------- |
| 2022-11-28 | rk3528_{ddr,spl,usbplug}_v1.x.bin | ddr:0799b9b10a#spl:c52427059#usbplug:4eade6 | important |

### New

1. Initial version.

------

## rk3528_{bl31,bl32,mcu}_v1.x.bin

| Date       | File                            | Build commit                              | Severity  |
| ---------- | :------------------------------ | ----------------------------------------- | --------- |
| 2022-11-28 | rk3528_{bl31,bl32,mcu}_v1.x.bin | bl31:a1a47bee6#bl32:3c36a5cb#mcu:76d14059 | important |

### New

1. Initial version.

------

