# RK3568 Release Note

## rk3568_bl31_v1.40.elf

| Date       | File                  | Build commit | Severity |
| ---------- | --------------------- | ------------ | -------- |
| 2023-04-19 | rk3568_bl31_v1.40.elf | aef7950e4    | moderate |

### New

1. Add DDR ECC poison support.

------

## rk356x_usbplug_v1.17.bin

| Date       | File                     | Build commit | Severity |
| ---------- | :----------------------- | ------------ | -------- |
| 2023-04-14 | rk356x_usbplug_v1.17.bin | 0661d5       | moderate |

### New

1. Support more spiflash.

------

## rk3568_bl31_v1.39.elf

| Date       | File                  | Build commit | Severity  |
| ---------- | --------------------- | ------------ | --------- |
| 2023-04-13 | rk3568_bl31_v1.39.elf | 0d745c7b1    | important |

### New

1. Improve the stability of otp.

------

## rk3568_ddr_{1056...324}MHz_v1.16.bin

| Date       | File                                 | Build commit | Severity  |
| ---------- | ------------------------------------ | ------------ | --------- |
| 2023-02-26 | rk3568_ddr_{1056...324}MHz_v1.16.bin | 6f71c736ce   | important |

### New

1. RK3568J/RK3568M use 1/2tREFI except LPDDR4/LPDDR4x. LPDDR4/LPDDR4x use derate mode.
2. TREFI, pageclose configurable by ddrbin tool.
3. Improve DDR4 performance.

### Fixed

| Index | Severity  | Update                                                       | Issue description                                            | Issue source |
| ----- | --------- | ------------------------------------------------------------ | ------------------------------------------------------------ | ------------ |
| 1     | important | To solve the instability problem of some ddr4 when DDR run in 528MHz. | When DDR4 run in 528MHz, the system would unstable, causing a crash and restart | -            |
| 2     | important | To solve 4GB ECC board Init fail bug                         | 4GB DDR4 board may crash in ddrbin                           |              |

------

## rk3568_bl31_v1.38.elf

| Date       | File                  | Build commit | Severity  |
| ---------- | --------------------- | ------------ | --------- |
| 2023-02-16 | rk3568_bl31_v1.38.elf | 94b2d40dc    | important |

### New

1. Improve the stability of sdei.

------

## rk3568_bl31_v1.37.elf

| Date       | File                  | Build commit | Severity  |
| ---------- | --------------------- | ------------ | --------- |
| 2023-02-02 | rk3568_bl31_v1.37.elf | 1cd72fefa    | important |

### New

1. Enable sdei.
2. Support config l3 partition according to atags.

------

## rk3568_ddr_{1560...324}MHz_v1.15.bin

| Date       | File                                 | Build commit | Severity  |
| ---------- | ------------------------------------ | ------------ | --------- |
| 2022-11-08 | rk3568_ddr_{1560...324}MHz_v1.15.bin | ec2fae0c96   | important |

### Fixed

| Index | Severity  | Update                                                       | Issue description                                            | Issue source |
| ----- | --------- | ------------------------------------------------------------ | ------------------------------------------------------------ | ------------ |
| 1     | important | To solve the instability problem of some chips when DDR run in 324MHz. | When DDR run in 324MHz, the system would unstable, causing a crash and restart | -            |

------

## rk3568_bl31_v1.36.elf

| Date       | File                  | Build commit | Severity  |
| ---------- | --------------------- | ------------ | --------- |
| 2022-11-08 | rk3568_bl31_v1.36.elf | 2c8be93f9    | important |

### Fixed

| Index | Severity  | Update                                                       | Issue description                                            | Issue source |
| ----- | --------- | ------------------------------------------------------------ | ------------------------------------------------------------ | ------------ |
| 1     | important | To solve the instability problem of some chips when DDR run in 324MHz. | When DDR run in 324MHz, the system would unstable, causing a crash and restart | -            |

------

## rk356x_usbplug_v1.16.bin

| Date       | File                     | Build commit | Severity |
| ---------- | :----------------------- | ------------ | -------- |
| 2022-11-02 | rk356x_usbplug_v1.16.bin | eaaeb1       | moderate |

### New

1. Support more spiflash.

------

## rk3568_bl31_v1.35.elf

| Date       | File                  | Build commit | Severity  |
| ---------- | :-------------------- | ------------ | --------- |
| 2022-10-24 | rk3568_bl31_v1.35.elf | cddd6f52e    | important |

### Fixed

| Index | Severity  | Update                                                    | Issue description                                            | Issue source |
| ----- | --------- | --------------------------------------------------------- | ------------------------------------------------------------ | ------------ |
| 1     | important | fix the suspend/resume stability problem, the PCIE suspend fail. | Linux kernel doesn't save/restore GICR, so we need do it if vdd_logic is off in suspend. | -         |

------

## rk356{x_usbplug, 8_miniloader_spinand}_v1.15.bin

| Date       | File                                             | Build commit | Severity |
| ---------- | :----------------------------------------------- | ------------ | -------- |
| 2022-09-26 | rk356{x_usbplug, 8_miniloader_spinand}_v1.15.bin | 65048d1      | moderate |

### New

1. Support more spiflash.

------

## rk3568_bl32_v2.09.bin

| Date       | File                  | Build commit | Severity  |
| ---------- | :-------------------- | ------------ | --------- |
| 2022-09-16 | rk3568_bl32_v2.09.bin | d84087907    | important |

### Fixed

| Index | Severity  | Update                                                       | Issue description                                            | Issue source |
| ----- | --------- | ------------------------------------------------------------ | ------------------------------------------------------------ | ------------ |
| 1     | important | Solve the problem that OPTEE is stuck during startup when printing is closed | User use /rkbin/tools/ddrbin_tool to close printing ,  then rk_atags will notify OPTEE to disable printing, When OPTEE starts, it will be stuck and unable to enter U-Boot | -            |

------

## rk3568_ddr_{1560...324}MHz_v1.14.bin

| Date       | File                                 | Build commit | Severity  |
| ---------- | :----------------------------------- | ------------ | --------- |
| 2022-08-27 | rk3568_ddr_{1560...324}MHz_v1.14.bin | b1f29a2a6f   | important |

### Fixed

| Index | Severity  | Update                                                    | Issue description                                            | Issue source |
| ----- | --------- | --------------------------------------------------------- | ------------------------------------------------------------ | ------------ |
| 1     | important | fix some LPDDR4 stability problem                         | CXMT CXDB5CCAM-MK instability for 1560MHz at LPDDR4 mode. Fix this issue by set CLK/CA slew rate from 0xf  to 0x0 . | -         |
| 2     | moderate  | fix Fix set of t_xs_x32, t_xs_abort_x32 and t_xs_fast_x32 | Fix set of t_xs_x32, t_xs_abort_x32 and t_xs_fast_x32.This bug may lead to some low density dram(128M) fail. | -         |
| 3     | important | fix ddr4 528M stability problem                           | some DRAM DLL can't lock at 528M，DLL should be bypass for 528M | -         |
|       | important | fix ddr4 1560M stability problem                          | some 2 rank DDR4 PCB DQS/DQ slew rate should be set to 0x0 when running at1560MHz. | -         |

------
