# RK3588 Release Note

## rk3588_bl32_v1.13.bin

| 时间       | 文件                  | 编译 commit | 重要程度 |
| ---------- | :-------------------- | ----------- | -------- |
| 2023-04-19 | rk3588_bl32_v1.13.bin | 7f1ea6d6e   | 重要     |

### New

1. OTP 支持 burst 读取，加快 BL32 启动速度。
2. 支持内核端读取安全启动标志和公钥哈希。
3. 支持动态共享内存，安全非安全世界可以传递更大数据。
4. BL32 打印支持 pstore，内核可以通过 pstore 节点查看 BL32 的打印信息。

------

## rk3588_bl31_v1.37.elf

| 时间       | 文件                  | 编译 commit | 重要程度 |
| ---------- | :-------------------- | ----------- | -------- |
| 2023-03-08 | rk3588_bl31_v1.37.elf | 9609b9c19   | 重要     |

### New

1. 休眠唤醒时保存恢复 u2phy_grf寄存器。
2. 休眠唤醒时保存更多ddr相关寄存器。
3. 兼容QNX系统的休眠唤醒。

------

## rk3588_ddr_lp4_2112MHz_lp5_2736MHz_v1.10.bin

| 时间       | 文件                                         | 编译 commit | 重要程度 |
| ---------- | :------------------------------------------- | ----------- | -------- |
| 2022-11-21 | rk3588_ddr_lp4_2112MHz_lp5_2736MHz_v1.10.bin | 75d050770f  | 重要     |

### New

1. 可通过ddrbin_tool开关pageclose。

### Fixed

| Index | 重要程度 | 更新说明                | 问题现象                                                     | 问题来源 |
| ----- | -------- | ----------------------- | ------------------------------------------------------------ | -------- |
| 1     | 重要     | 解决DDR总容量24GB问题。 | 当板上DDR总容量为24GB时，无法正常开机。                      | -        |
| 2     | 重要     | 解决LP4/LP4X稳定性问题  | 个别板子read odt需要从60ohm改为40ohm才能更稳定，BL31必须更新到V1.37及以上。 | -        |
| 3     | 重要     | 优化LPDDR5性能          | LPDDR5模式下tWTR计算错误导致效率较差                         | -        |

------

## rk3588_bl31_v1.36.elf

| 时间       | 文件                  | 编译 commit | 重要程度 |
| ---------- | :-------------------- | ----------- | -------- |
| 2023-01-30 | rk3588_bl31_v1.36.elf | 78ee25fe7   | 重要     |

### New

1. 支持休眠时软件解析多种协议的红外信号，需配合mcu一起使用。

------

## rk3588_bl31_v1.35.elf

| 时间       | 文件                  | 编译 commit | 重要程度 |
| ---------- | :-------------------- | ----------- | -------- |
| 2023-01-16 | rk3588_bl31_v1.35.elf | bd7bac37a   | 重要     |

### New

1. 提高hdmirx相关功能稳定性。

------

## rk3588_bl31_v1.34.elf

| 时间       | 文件                  | 编译 commit | 重要程度 |
| ---------- | :-------------------- | ----------- | -------- |
| 2023-01-10 | rk3588_bl31_v1.34.elf | e63a16361   | 重要     |

### New

1. hptimer支持使用软件校准模式。
2. pvtpll支持添加长度。

### Fixed

| Index | 重要程度 | 更新说明                        | 问题现象                                                     | 问题来源 |
| ----- | -------- | ------------------------------- | ------------------------------------------------------------ | -------- |
| 1     | 重要     | 修正休眠时pmu mcu被意外启动问题 | 休眠唤醒后kernel代码或数据会被覆盖，原因是pmu mcu被意外启动导致的 | -        |

------

## rk3588_spl_v1.12.bin

| 时间       | 文件                  | 编译 commit | 重要程度 |
| ---------- | :-------------------- | ----------- | -------- |
| 2022-12-26 | rk3588_spl_v1.12.bin  | 5f53abfa    | 重要     |

### New

1. 支持 SPL AB。

------

## rk3588_bl31_v1.33.elf

| 时间       | 文件                  | 编译 commit | 重要程度 |
| ---------- | :-------------------- | ----------- | -------- |
| 2022-12-07 | rk3588_bl31_v1.33.elf | 17b41886e   | 重要     |

### New

1. 支持rk3588m, rk3588j。

------

## rk3588_usbplug_v1.10.bin

| 时间       | 文件                     | 编译 commit | 重要程度 |
| ---------- | :----------------------- | ----------- | -------- |
| 2022-11-22 | rk3588_usbplug_v1.10.bin | b0e3c43c2   | 重要     |

### New

1. 提升兼容性。

------

## rk3588_bl31_v1.32.elf

| 时间       | 文件                  | 编译 commit | 重要程度 |
| ---------- | :-------------------- | ----------- | -------- |
| 2022-11-21 | rk3588_bl31_v1.32.elf | e529a2760   | 重要     |

### New

1. 支持bus auto CS功能。

------

## rk3588_ddr_lp4_2112MHz_lp5_2736MHz_v1.09.bin

| 时间       | 文件                                         | 编译 commit | 重要程度 |
| ---------- | :------------------------------------------- | ----------- | -------- |
| 2022-11-21 | rk3588_ddr_lp4_2112MHz_lp5_2736MHz_v1.09.bin | a930779e06  | 重要     |

### New

1. 可通过ddrbin_tool开关derate/perbank refresh。
2. DDRBIN开启pstore功能。
3. boot 频率可通过ddrbin_tool修改。
4. 开启LPDDR5 DMC功能。
5. 支持LPDDR5 byte mode颗粒。
6. 增加回收与寄存器空间重叠的256MB DDR空间，默认回收，可通过ddrbin_tool关闭。

### Fixed

| Index | 重要程度 | 更新说明                | 问题现象                                                     | 问题来源 |
| ----- | -------- | ----------------------- | ------------------------------------------------------------ | -------- |
| 1     | 重要     | 修正WRTRN概率性异常问题 | 修正533-1066M之间WR Training概率性异常问题。该频率点当前Bin未使用。但是客户可能通过ddrbin_tool修改使用到这段频率点。 | -        |
| 2     | 重要     | 修正周期性ZQCALIB间隙   | 修正周期性ZQCLIB timer 使用默认值，周期性ZQCALIB频繁问题。   | -        |
| 3     | 重要     | 修正528M稳定性问题      | 变频到528M之前清除SW*skew，避免528M带入其他频率点的skew引起稳定性问题 | -        |
| 4     | 重要     | 提高LPDDR5稳定性与性能  | 修正一些LPDDR5 timing配置，提高LPDDR5稳定性和性能。          | -        |
| 5     | 重要     | LP4/LP4X 32GB容量支持   | 增加LPDDR4两颗16GB组成的32GB的支持                           | -        |

------

## rk3588_bl31_v1.31.elf

| 时间       | 文件                  | 编译 commit | 重要程度 |
| ---------- | :-------------------- | ----------- | -------- |
| 2022-11-09 | rk3588_bl31_v1.31.elf | 91e396185   | 重要     |

### New

1. 使能RK_ENABLE_A76_L2_FLUSH_TO_L3功能。
2. 支持amp功能。

### Fixed

| Index | 重要程度 | 更新说明                               | 问题现象 | 问题来源 |
| ----- | -------- | -------------------------------------- | -------- | -------- |
| 1     | 重要     | 休眠、唤醒时保存、恢复保存性能相关配置 | -        | -        |

------

## rk3588_bl31_v1.30.elf

| 时间       | 文件                  | 编译 commit | 重要程度 |
| ---------- | :-------------------- | ----------- | -------- |
| 2022-10-12 | rk3588_bl31_v1.30.elf | 1450d21e8   | 重要     |

### New

1. 支持pstore功能。

------

## rk3588_bl31_v1.29.elf

| 时间       | 文件                  | 编译 commit | 重要程度 |
| ---------- | :-------------------- | ----------- | -------- |
| 2022-09-29 | rk3588_bl31_v1.29.elf | 686b5c48b   | 重要     |

### New

1. 添加A55 AT speculative补丁。
2. 添加LPDDR5变频补丁，支持行间变频。
3. 支持根据具体的DDR通道情况配置FW-DSU region。

### Fixed

| Index | 重要程度 | 更新说明                   | 问题现象                                                     | 问题来源 |
| ----- | -------- | -------------------------- | ------------------------------------------------------------ | -------- |
| 1     | 重要     | 解决cec唤醒问题            | 休眠等待cec唤醒时，gpio1/3的中断会同时唤醒AP和mcu，导致异常。 | -        |
| 2     | 重要     | 修复ddr相关配置            | 解决一些ddr不稳定问题。                                      | -        |
| 3     | 重要     | 解决关闭串口后休眠异常问题 | loader关闭串口后，系统休眠会异常。                           | -        |

------

## rk3588_bl32_v1.12.bin

| 时间       | 文件                  | 编译 commit | 重要程度 |
| ---------- | :-------------------- | ----------- | -------- |
| 2022-09-20 | rk3588_bl32_v1.12.bin | 4542e1efd   | 重要     |

### New

1. 支持根据具体的DDR通道情况配置FW-DSU region。

------

## rk3588_bl32_v1.11.bin

| 时间       | 文件                  | 编译 commit | 重要程度 |
| ---------- | :-------------------- | ----------- | -------- |
| 2022-09-15 | rk3588_bl32_v1.11.bin | d84087907   | 重要     |

### Fixed

| Index | 重要程度 | 更新说明                            | 问题现象                                                     | 问题来源 |
| ----- | -------- | ----------------------------------- | ------------------------------------------------------------ | -------- |
| 1     | 重要     | 解决关闭打印时OPTEE启动阶段卡住问题 | 当用户使用/rkbin/tools/ddrbin_tool工具关闭打印时，rk_atags将通知OPTEE关闭打印，OPTEE启动时关闭打印会出现卡死，无法进入U-Boot | -        |

------

