# RK3588 Release Note

## rk3588_bl32_v1.13.bin

| Date       | File                  | Build commit | Severity  |
| ---------- | :-------------------- | ------------ | --------- |
| 2023-04-19 | rk3588_bl32_v1.13.bin | 7f1ea6d6e    | important |

### New

1. OTP supports burst read to accelerate BL32 startup speed.
2. Kernel support read secure boot flag and public key hash.
3. Support dynamic shared memory, and the secure and normal world can transfer more larger data.
4. BL32 supports pstore, and the kernel can view print info of BL32 through pstore node.

------

## rk3588_bl31_v1.37.elf

| Date       | File                  | Build commit | Severity  |
| ---------- | :-------------------- | ------------ | --------- |
| 2023-03-08 | rk3588_bl31_v1.37.elf | 9609b9c19    | important |

### New

1. Save/restore u2phy_grf registers when system suspend/resume.
2. Save/restore more ddr related registers when system suspend/resume.
3. Compatible with system suspend/resume in QNX.

------

## rk3588_ddr_lp4_2112MHz_lp5_2736MHz_v1.10.bin

| Date       | File                                         | Build commit | Severity  |
| ---------- | :------------------------------------------- | ------------ | --------- |
| 2022-11-21 | rk3588_ddr_lp4_2112MHz_lp5_2736MHz_v1.10.bin | 75d050770f   | important |

### New

1. Pageclose can be enable/disable by ddrbin_tool.

### Fixed

| Index | Severity  | Update                       | Issue description                                            | Issue source |
| ----- | --------- | ---------------------------- | ------------------------------------------------------------ | ------------ |
| 1     | important | fix total 24GB bug           | If the DDR total capacity is 24GB, it will be stuck and unable to enter kernel. | -            |
| 2     | important | fix LP4/LP4X stability issue | Some LP4/LP4X board need to update read odt to 40ohm to fix stability issue. Note: BL31 should be update to V1.37. | -            |
| 3     | important | improve LP5 performance      | LPDDR5 timing tWTR  calculate error lead to slow performance | -            |

------

## rk3588_bl31_v1.36.elf

| Date       | File                  | Build commit | Severity  |
| ---------- | :-------------------- | ------------ | --------- |
| 2023-01-30 | rk3588_bl31_v1.36.elf | 78ee25fe7    | important |

### New

1. Supports analyze infrared signals of various protocols during system suspend by software, which needs to be used together with mcu.

------

## rk3588_bl31_v1.35.elf

| Date       | File                  | Build commit | Severity  |
| ---------- | :-------------------- | ------------ | --------- |
| 2023-01-16 | rk3588_bl31_v1.35.elf | bd7bac37a    | important |

### New

1. Improve the stability of hdmirx.

------

## rk3588_bl31_v1.34.elf

| Date       | File                  | Build commit | Severity  |
| ---------- | :-------------------- | ------------ | --------- |
| 2023-01-10 | rk3588_bl31_v1.34.elf | e63a16361    | important |

### New

1. Support hptimer to use soft adjust mode.
2. Support pvtpll to add length.

### Fixed

| Index | Severity  | Update                                                | Issue description                                            | Issue source |
| ----- | --------- | ----------------------------------------------------- | ------------------------------------------------------------ | ------------ |
| 1     | important | Avoid pmu mcu to boot accidentally in system suspend. | With pmu mcu's accidental boot, linux kernel's code and data may be overwrite after system resume. | -            |

------

## rk3588_spl_v1.12.bin

| Date       | File                  | Build commit | Severity  |
| ---------- | :-------------------- | ------------ | --------- |
| 2022-12-26 | rk3588_spl_v1.12.bin  | 5f53abfa     | important |

### New

1. Support SPL AB.

------

## rk3588_bl31_v1.33.elf

| Date       | File                  | Build commit | Severity  |
| ---------- | :-------------------- | ------------ | --------- |
| 2022-12-07 | rk3588_bl31_v1.33.elf | 17b41886e    | important |

### New

1. Support rk3588m, rk3588j.

------

## rk3588_usbplug_v1.10.bin

| Date       | File                     | Build commit | Severity  |
| ---------- | :----------------------- | ------------ | --------- |
| 2022-11-22 | rk3588_usbplug_v1.10.bin | b0e3c43c2    | important |

### New

1. Improve compatibility.

------

## rk3588_bl31_v1.32.elf

| Date       | File                  | Build commit | Severity  |
| ---------- | :-------------------- | ------------ | --------- |
| 2022-11-21 | rk3588_bl31_v1.32.elf | e529a2760    | important |

### New

1. Support bus auto CS.

------

## rk3588_ddr_lp4_2112MHz_lp5_2736MHz_v1.09.bin

| Date       | File                                         | Build commit | Severity  |
| ---------- | :------------------------------------------- | ------------ | --------- |
| 2022-11-21 | rk3588_ddr_lp4_2112MHz_lp5_2736MHz_v1.09.bin | a930779e06   | important |

### New

1. Derate/perbank refresh can be enable/disable by ddrbin_tool.
2. Support pstore function.
3. Boot FSP configurable by ddrbin_tool.
4. Enable LPDDR5 DMC function.
5. Support LPDDR5 byte mode DRAM.
6. Recycle 256MB memory(overlap with REG space). This function can be disable by ddrbin_tool.

### Fixed

| Index | Severity  | Update                                   | Issue description                                            | Issue source |
| ----- | --------- | ---------------------------------------- | ------------------------------------------------------------ | ------------ |
| 1     | important | Fix WRTRN Bug                            | Fix WRTRN bug when ddr freq between 533MHz - 1066MHz         | -            |
| 2     | important | Fix ZQCALIB bug                          | Increase auto ZQCALIB command period to 470ms                | -            |
| 3     | important | Fix 528M bug                             | 528MHz undo RDTRN, SW*skew should be clean before clean before switch to 528MHz. | -            |
| 4     | important | Improve LPDDR5 stability and performance | Fix some LPDDR5 timing like rd2wr,wr2rd and hash config to improve stability and performance. | -            |
| 5     | important | LP4/LP4x support 32GB cap                | LP4/LP4x support 32GB cap                                    | -            |

------

## rk3588_bl31_v1.31.elf

| Date       | File                  | Build commit | Severity  |
| ---------- | :-------------------- | ------------ | --------- |
| 2022-11-09 | rk3588_bl31_v1.31.elf | 91e396185    | important |

### New

1. Enable RK_ENABLE_A76_L2_FLUSH_TO_L3 function.
2. Support amp function.

### Fixed

| Index | Severity  | Update                                                       | Issue description | Issue source |
| ----- | --------- | ------------------------------------------------------------ | ----------------- | ------------ |
| 1     | important | Save/restore some performance setting in system suspend/resume | -                 | -            |

------

## rk3588_bl31_v1.30.elf

| Date       | File                  | Build commit | Severity  |
| ---------- | :-------------------- | ------------ | --------- |
| 2022-10-12 | rk3588_bl31_v1.30.elf | 1450d21e8    | important |

### New

1. Support pstore.

------

## rk3588_bl31_v1.29.elf

| Date       | File                  | Build commit | Severity  |
| ---------- | :-------------------- | ----------- | --------- |
| 2022-09-29 | rk3588_bl31_v1.29.elf | 686b5c48b   | important |

### New

1. Add A55 AT speculative patches.
2. Add LPDDR5 DFS patches, support DFS between rows.
3. Config FW-DSU region according to the specific DDR channel.

### Fixed

| Index | Severity  | Update                                                       | Issue description                                            | Issue source |
| ----- | --------- | ------------------------------------------------------------ | ------------------------------------------------------------ | ------------ |
| 1     | important | Fix problem about CEC wakeup.                  | When waiting for CEC wakeup source in system suspend, gpio1/3 irq will wakeup both AP and mcu . | -        |
| 2     | important | Fix configuration about ddr.                   | Fix ddr-unstable problem.                                    | -        |
| 3     | important | Fix problem in system suspend if disable uart. | If loader disable uart, system suspend will panic.           | -        |

------

## rk3588_bl32_v1.12.bin

| Date       | File                  | Build commit | Severity  |
| ---------- | :-------------------- | ------------ | --------- |
| 2022-09-20 | rk3588_bl32_v1.12.bin | 4542e1efd    | important |

### New

1. Config FW-DSU region according to the specific DDR channel.

------

## rk3588_bl32_v1.11.bin

| Date       | File                  | Build commit | Severity  |
| ---------- | :-------------------- | ------------ | --------- |
| 2022-09-15 | rk3588_bl32_v1.11.bin | d84087907    | important |

### Fixed

| Index | Severity  | Update                                                       | Issue description                                            | Issue source |
| ----- | --------- | ------------------------------------------------------------ | ------------------------------------------------------------ | ------------ |
| 1     | important | Solve the problem that OPTEE is stuck during startup when printing is closed | User use /rkbin/tools/ddrbin_tool to close printing ,  then rk_atags will notify OPTEE to disable printing, When OPTEE starts, it will be stuck and unable to enter U-Boot | -            |

------

