# RV1126 Release Note

## rv1126_usbplug_v1.24.bin

| Date       | File                         | Build commit | Severity  |
| ---------- | :--------------------------- | ------------ | --------- |
| 2023-03-31 | rv1126_usbplug_v1.24.bin     | 0744719244   | important |

### Fixed

| Index | Severity  | Update                      | Issue description                                | Issue source |
| ----- | --------- | --------------------------- | ------------------------------------------------ | ------------ |
| 1     | important | fix OTP chip id write error | if chip id is blank,  it will be written rv1126. | -            |

------

## rv1126_spl_emmc_tb_v1.13.bin

| Date       | File                         | Build commit | Severity  |
| ---------- | :--------------------------- | ------------ | --------- |
| 2022-12-09 | rv1126_spl_emmc_tb_v1.13.bin | f3f5db2e27   | important |

### Fixed

| Index | Severity  | Update                                    | Issue description                                            | Issue source |
| ----- | --------- | ----------------------------------------- | ------------------------------------------------------------ | ------------ |
| 1     | important | fix DECOM_ENR is not clear found in v1.12 | if DECOM_ENR is not cleared, rootfs would be decompress failed cause by decom busy status. | -            |

------

## rv1126_tee_ta_tb_v1.07.bin

| Date       | File                       | Build commit | Severity  |
| ---------- | :------------------------- | ------------ | --------- |
| 2022-12-09 | rv1126_tee_ta_tb_v1.07.bin | 4eb6cbf6c    | important |

### Fixed

| Index | Severity  | Update                                                       | Issue description                                            | Issue source |
| ----- | --------- | ------------------------------------------------------------ | ------------------------------------------------------------ | ------------ |
| 1     | important | Solve the problem that OPTEE is stuck during startup when printing is closed | User use /rkbin/tools/ddrbin_tool to close printing ,  then rk_atags will notify OPTEE to disable printing, When OPTEE starts, it will be stuck and unable to enter U-Boot | -            |

------

## rv1126_ddr_{1056 ... 784}MHz_v1.09.bin

| Date       | File                                   | Build commit | Severity |
| ---------- | :------------------------------------- | ------------ | -------- |
| 2022-10-25 | rv1126_ddr_{1056 ... 784}MHz_v1.09.bin | 8fef64cfb9   | critical |

### Fixed

| Index | Severity  | Update                                 | Issue description                                            | Issue source |
| ----- | --------- | -------------------------------------- | ------------------------------------------------------------ | ------------ |
| 1     | critical  | Fix problem of LPDDR4X MRR error       | The judgment logic of LPDDR4X in the MRR function is defective. As a result, the LPDDR4X MRR data may be incorrect. | -            |
| 2     | important | Fix error of some LPDDR4 in 528MHz     | The code does not consider that the Wr Lvl result of some LPDDR4 may be negative, which may lead to error in the judgment of Wr Lvl result. | 358198       |
| 3     | moderate  | Fix timing error of some DDR           | The settings of t_xs_x32, t_xs_abort_x32, and t_xs_fast_x32 are incorrect. Some DDR (less than 128M) may fail in other platform. | -            |
| 4     | important | Fix some x32 LPDDR3 instability issues | The detection process of LPDDR3 is defective. Part of x32 LPDDR3 is identified as x16, which results in some timing setting errors. | 322844       |

------

## rv1126_tee_ta_v2.08.bin

| Date       | File                    | Build commit | Severity  |
| ---------- | :---------------------- | ------------ | --------- |
| 2022-10-24 | rv1126_tee_ta_v2.08.bin | 317f8b06b    | important |

### Fixed

| Index | Severity  | Update                             | Issue description                                            | Issue source |
| ----- | --------- | ---------------------------------- | ------------------------------------------------------------ | ------------ |
| 1     | important | Fix error of fiq stack information | Enter 'bt' command in fiq mode,  That will show wrong stack information. | -            |

------

## rv1126_tee_ta_v2.07.bin

| Date       | File                    | Build commit | Severity  |
| ---------- | :---------------------- | ------------ | --------- |
| 2022-09-16 | rv1126_tee_ta_v2.07.bin | d84087907    | important |

### Fixed

| Index | Severity  | Update                                                       | Issue description                                            | Issue source |
| ----- | --------- | ------------------------------------------------------------ | ------------------------------------------------------------ | ------------ |
| 1     | important | Solve the problem that OPTEE is stuck during startup when printing is closed | User use /rkbin/tools/ddrbin_tool to close printing ,  then rk_atags will notify OPTEE to disable printing, When OPTEE starts, it will be stuck and unable to enter U-Boot | -            |

------

## rv1126_{miniloader, usbplug}_ftl_v1.23.bin

| Date       | File                                       | Build commit   | Severity |
| ---------- | :----------------------------------------- | -------- | -------- |
| 2022-09-08 | rv1126_{miniloader, usbplug}_ftl_v1.23.bin | 55a904 | moderate |

### New

1. Support SPI Nand MX35UF1GE4AD MX35UF2GE4AD.

------

